
Katello - Bug #10543

Composite Content View Promotions Fail with Resource Not Found Errors

05/18/2015 05:43 PM - Greg Koch

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Content Views   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Composite content view with 8 content views containing public yum repos and 1 content view with a private repo.

Public Repos include:

dell, epel, hp sdr, katello client 6, puppet el 6, rhel 6.6, rhel 6Server HA, vmware

Server specs:

32GB ram

24 hyper threaded cores (2x6 core chips)

2TB allocated to /var/lib/pulp

A few traces are included below:

935: Actions::Pulp::Repository::PurgeEmptyErrata (error) [ 10.76s / 10.76s ]  Skip

Started at: 2015-05-18 18:07:27 UTC

Ended at: 2015-05-18 18:07:38 UTC

Real time: 10.76s

Execution time (excluding suspended state): 10.76s

Input:

---

pulp_id: lr-rhel-6_6-x86_64-comp-cv-3_0-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6

_Server_-_RH_Common_RPMs_x86_64_6_6

remote_user: gkoch-bb8a038a

remote_cp_user: gkoch

locale: en

Output:

--- {}

Error:

RestClient::ResourceNotFound

404 Resource Not Found

---

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:4

8:in

  `return!'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:92:in

  `block in get_response'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in
  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in

  `process_result'

- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.35/lib/restclient_ext/request.rb:50:in

  `block in transmit'

- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:746:in `start'

- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.35/lib/restclient_ext/request.rb:44:in

  `transmit'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:51:in

  `get'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:91:in

  `get_response'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:82:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/resources/task.rb:41:in

  `poll'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:107:in

  `block in get_new_tasks'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:106:in

  `map'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:106:in

  `get_new_tasks'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:92:in

  `block in external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:89:in

  `each'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:89:in

  `external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/polling.rb:70:in

  `initiate_external_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/polling.rb:12:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/cancellable.rb:9:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:57:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:456:in

  `block (3 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:28:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:58:in

  `block (2 levels) in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/katello/util/thread_session.rb:84

:in

  `pulp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:44:in

  `as_pulp_user'

05/21/2024 2/11



- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:57:in

  `block in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/katello/util/thread_session.rb:91

:in

  `cp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:39:in

  `as_cp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:56:in

  `as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:28:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/progress.rb:30:in

  `with_progress_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/progress.rb:16:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:23:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:34:in

  `with_locale'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:23:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/world.rb:30:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:455:in

  `block (2 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:454:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:454:in

  `block in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `block in with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:449:in

  `execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:236:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:9:in

  `block (2 levels) in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

.rb:152:in
  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

.rb:152:in

  `with_meta_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:8:in

  `block in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:22:in

  `open_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:7:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/executors/parallel/worker.rb:

20:in

  `block in on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in

  `block in assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `tap'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in

  `match_value'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in

  `block in match'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `each'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `match'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/executors/parallel/worker.rb:

17:in

  `on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:82:in

  `on_envelope'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:72:in

  `receive'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `block (2 levels) in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `loop'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:13:in

  `block in initialize'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

  `block in create_with_logging_context'

98: Actions::Pulp::Repository::RemovePuppetModule (error) [ 0.39s / 0.39s ]  Skip

Started at: 2015-05-18 18:31:26 UTC

Ended at: 2015-05-18 18:31:26 UTC

Real time: 0.39s

Execution time (excluding suspended state): 0.39s

Input:

---

pulp_id: xxxxxxxx-dev-xxxxx-lr-rhel-6_6-x86_64-comp-cv-Elvis-Elvis_5_5_x86_64
remote_user: gkoch-bb8a038a

remote_cp_user: gkoch

locale: en

Output:

--- {}

Error:

RestClient::ResourceNotFound

404 Resource Not Found

---

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:4

8:in

  `return!'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:92:in

  `block in get_response'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in

  `process_result'

- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.35/lib/restclient_ext/request.rb:50:in

  `block in transmit'

- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:746:in `start'

- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.35/lib/restclient_ext/request.rb:44:in

  `transmit'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:51:in

  `get'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:91:in

  `get_response'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:82:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/resources/task.rb:41:in

  `poll'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:107:in

  `block in get_new_tasks'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:106:in

  `map'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:106:in

  `get_new_tasks'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:92:in

  `block in external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:89:in

  `each'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:89:in

  `external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/repository/abstract_

remove_content.rb:39:in

  `external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/polling.rb:70:in

  `initiate_external_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/polling.rb:12:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/cancellable.rb:9:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.
rb:57:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:456:in

  `block (3 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:28:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:58:in

  `block (2 levels) in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/katello/util/thread_session.rb:84

:in

  `pulp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:44:in

  `as_pulp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:57:in

  `block in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/katello/util/thread_session.rb:91

:in

  `cp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:39:in

  `as_cp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:56:in

  `as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:28:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/progress.rb:30:in

  `with_progress_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/progress.rb:16:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:23:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:34:in

  `with_locale'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:23:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/world.rb:30:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:455:in
  `block (2 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:454:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:454:in

  `block in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `block in with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:449:in

  `execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:236:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:9:in

  `block (2 levels) in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

.rb:152:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

.rb:152:in

  `with_meta_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:8:in

  `block in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:22:in

  `open_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:7:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/executors/parallel/worker.rb:

20:in

  `block in on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in

  `block in assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `tap'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in

  `match_value'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in

  `block in match'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `each'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `match'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/executors/parallel/worker.rb:

17:in

  `on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:82:in

  `on_envelope'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:72:in

  `receive'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `block (2 levels) in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `loop'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `catch'

05/21/2024 7/11



- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:13:in

  `block in initialize'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

  `block in create_with_logging_context'

101: Actions::Pulp::Repository::CopyRpm (error) [ 0.18s / 0.18s ]  Skip

Started at: 2015-05-18 19:09:22 UTC

Ended at: 2015-05-18 19:09:22 UTC

Real time: 0.18s

Execution time (excluding suspended state): 0.18s

Input:

---

source_pulp_id: xxxxxxxx-xxxxx-lr-rhel-6_6-x86_64-comp-cv-3_0-Elvis-Elvis_5_5_x86_64

target_pulp_id: xxxxxxxx-qa-xxxxx-lr-rhel-6_6-x86_64-comp-cv-Elvis-Elvis_5_5_x86_64

clauses: 

remote_user: gkoch-bb8a038a

remote_cp_user: gkoch

locale: en

Output:

--- {}

Error:

RestClient::ResourceNotFound

404 Resource Not Found

---

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:4

8:in

  `return!'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:92:in

  `block in get_response'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in

  `process_result'

- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.35/lib/restclient_ext/request.rb:50:in

  `block in transmit'

- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:746:in `start'

- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.35/lib/restclient_ext/request.rb:44:in

  `transmit'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:51:in

  `get'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:91:in

  `get_response'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/base.rb:82:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.1/lib/runcible/resources/task.rb:41:in

  `poll'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:107:in

  `block in get_new_tasks'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.
rb:106:in

  `map'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:106:in

  `get_new_tasks'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:92:in

  `block in external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:89:in

  `each'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:89:in

  `external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/repository/abstract_

copy_content.rb:52:in

  `external_task='

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/polling.rb:70:in

  `initiate_external_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/polling.rb:12:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/cancellable.rb:9:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/pulp/abstract_async_task.

rb:57:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:456:in

  `block (3 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:28:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:58:in

  `block (2 levels) in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/katello/util/thread_session.rb:84

:in

  `pulp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:44:in

  `as_pulp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:57:in

  `block in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/katello/util/thread_session.rb:91

:in

  `cp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:39:in

  `as_cp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:56:in

  `as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/remote_action.

rb:28:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/progress.rb:30:in

  `with_progress_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action/progress.rb:16:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:26:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware.rb:16:in

  `pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:23:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:34:in

  `with_locale'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/app/lib/actions/middleware/keep_locale.rb

:23:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/stack.rb:22:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/middleware/world.rb:30:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:455:in

  `block (2 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:454:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:454:in

  `block in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `block in with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:371:in

  `with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:449:in

  `execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/action.rb:236:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:9:in

  `block (2 levels) in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

.rb:152:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

.rb:152:in

  `with_meta_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:8:in

  `block in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:22:in

  `open_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/execution_plan/steps/abstract

_flow_step.rb:7:in

  `execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/executors/parallel/worker.rb:

20:in

  `block in on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in

  `block in assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `tap'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in

  `match_value'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in

  `block in match'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `each'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `match'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/executors/parallel/worker.rb:

17:in

  `on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:82:in

  `on_envelope'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:72:in

  `receive'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `block (2 levels) in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `loop'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:99:in

  `run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.6/lib/dynflow/micro_actor.rb:13:in

  `block in initialize'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

  `call'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

  `block in create_with_logging_context'

Related issues:

Is duplicate of Katello - Bug #10107: Timeout requesting rpm_ids from pulp du... Resolved 04/09/2015

History

#1 - 05/19/2015 12:50 PM - Eric Helms

- Status changed from New to Duplicate

- Triaged changed from No to Yes

This looks very much like http://projects.theforeman.org/issues/10107 after examining both -- I am going to copy your information quoted over to that

bug and close this as a duplicate to track in a single place. And thanks for reporting and the detail.

#2 - 05/19/2015 12:53 PM - Eric Helms

- Is duplicate of Bug #10107: Timeout requesting rpm_ids from pulp during sync/publish/promote added

#3 - 07/08/2016 11:24 AM - Eric Helms

- translation missing: en.field_release set to 166
